## Tcl8.6.2/Tk8.6.2 Documentation > Tk C API, version 8.6.2 > GetHINSTANCE

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tk_GetHINSTANCE — retrieve the global application instance handle

### SYNOPSIS

#include <tkPlatDecls.h>
HINSTANCE
Tk_GetHINSTANCE()

### DESCRIPTION

Tk_GetHINSTANCE returns the Windows application instance handle for the Tk application. This function is only available on Windows platforms.

### KEYWORDS

identifier, instance
Copyright © 1998-2000 by Scriptics Corporation.